summaryrefslogtreecommitdiff
path: root/test/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile53
1 files changed, 41 insertions, 12 deletions
diff --git a/test/Makefile b/test/Makefile
index a5308e446..2df499b11 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -4,29 +4,46 @@ include ../Makefile.system
all :: level1 level2 level3
level1 : sblat1 dblat1 cblat1 zblat1
- OPENBLAS_NUM_THREADS=1 ./sblat1
- OPENBLAS_NUM_THREADS=1 ./dblat1
- OPENBLAS_NUM_THREADS=1 ./cblat1
- OPENBLAS_NUM_THREADS=1 ./zblat1
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./sblat1
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./dblat1
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./cblat1
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./zblat1
ifdef SMP
+ifeq ($(USE_OPENMP), 1)
+ OMP_NUM_THREADS=2 ./sblat1
+ OMP_NUM_THREADS=2 ./dblat1
+ OMP_NUM_THREADS=2 ./cblat1
+ OMP_NUM_THREADS=2 ./zblat1
+else
OPENBLAS_NUM_THREADS=2 ./sblat1
OPENBLAS_NUM_THREADS=2 ./dblat1
OPENBLAS_NUM_THREADS=2 ./cblat1
OPENBLAS_NUM_THREADS=2 ./zblat1
endif
+endif
level2 : sblat2 dblat2 cblat2 zblat2
rm -f ?BLAT2.SUMM
- OPENBLAS_NUM_THREADS=1 ./sblat2 < ./sblat2.dat
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./sblat2 < ./sblat2.dat
@$(GREP) -q FATAL SBLAT2.SUMM && cat SBLAT2.SUMM || exit 0
- OPENBLAS_NUM_THREADS=1 ./dblat2 < ./dblat2.dat
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./dblat2 < ./dblat2.dat
@$(GREP) -q FATAL DBLAT2.SUMM && cat DBLAT2.SUMM || exit 0
- OPENBLAS_NUM_THREADS=1 ./cblat2 < ./cblat2.dat
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./cblat2 < ./cblat2.dat
@$(GREP) -q FATAL CBLAT2.SUMM && cat CBLAT2.SUMM || exit 0
- OPENBLAS_NUM_THREADS=1 ./zblat2 < ./zblat2.dat
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./zblat2 < ./zblat2.dat
@$(GREP) -q FATAL ZBLAT2.SUMM && cat ZBLAT2.SUMM || exit 0
ifdef SMP
rm -f ?BLAT2.SUMM
+ifeq ($(USE_OPENMP), 1)
+ OMP_NUM_THREADS=2 ./sblat2 < ./sblat2.dat
+ @$(GREP) -q FATAL SBLAT2.SUMM && cat SBLAT2.SUMM || exit 0
+ OMP_NUM_THREADS=2 ./dblat2 < ./dblat2.dat
+ @$(GREP) -q FATAL DBLAT2.SUMM && cat DBLAT2.SUMM || exit 0
+ OMP_NUM_THREADS=2 ./cblat2 < ./cblat2.dat
+ @$(GREP) -q FATAL CBLAT2.SUMM && cat CBLAT2.SUMM || exit 0
+ OMP_NUM_THREADS=2 ./zblat2 < ./zblat2.dat
+ @$(GREP) -q FATAL ZBLAT2.SUMM && cat ZBLAT2.SUMM || exit 0
+else
OPENBLAS_NUM_THREADS=2 ./sblat2 < ./sblat2.dat
@$(GREP) -q FATAL SBLAT2.SUMM && cat SBLAT2.SUMM || exit 0
OPENBLAS_NUM_THREADS=2 ./dblat2 < ./dblat2.dat
@@ -36,19 +53,30 @@ ifdef SMP
OPENBLAS_NUM_THREADS=2 ./zblat2 < ./zblat2.dat
@$(GREP) -q FATAL ZBLAT2.SUMM && cat ZBLAT2.SUMM || exit 0
endif
+endif
level3 : sblat3 dblat3 cblat3 zblat3
rm -f ?BLAT3.SUMM
- OPENBLAS_NUM_THREADS=1 ./sblat3 < ./sblat3.dat
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./sblat3 < ./sblat3.dat
@$(GREP) -q FATAL SBLAT3.SUMM && cat SBLAT3.SUMM || exit 0
- OPENBLAS_NUM_THREADS=1 ./dblat3 < ./dblat3.dat
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./dblat3 < ./dblat3.dat
@$(GREP) -q FATAL DBLAT3.SUMM && cat DBLAT3.SUMM || exit 0
- OPENBLAS_NUM_THREADS=1 ./cblat3 < ./cblat3.dat
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./cblat3 < ./cblat3.dat
@$(GREP) -q FATAL CBLAT3.SUMM && cat CBLAT3.SUMM || exit 0
- OPENBLAS_NUM_THREADS=1 ./zblat3 < ./zblat3.dat
+ OPENBLAS_NUM_THREADS=1 OMP_NUM_THREADS=1 ./zblat3 < ./zblat3.dat
@$(GREP) -q FATAL ZBLAT3.SUMM && cat ZBLAT3.SUMM || exit 0
ifdef SMP
rm -f ?BLAT3.SUMM
+ifeq ($(USE_OPENMP), 1)
+ OMP_NUM_THREADS=2 ./sblat3 < ./sblat3.dat
+ @$(GREP) -q FATAL SBLAT3.SUMM && cat SBLAT3.SUMM || exit 0
+ OMP_NUM_THREADS=2 ./dblat3 < ./dblat3.dat
+ @$(GREP) -q FATAL DBLAT3.SUMM && cat DBLAT3.SUMM || exit 0
+ OMP_NUM_THREADS=2 ./cblat3 < ./cblat3.dat
+ @$(GREP) -q FATAL CBLAT3.SUMM && cat CBLAT3.SUMM || exit 0
+ OMP_NUM_THREADS=2 ./zblat3 < ./zblat3.dat
+ @$(GREP) -q FATAL ZBLAT3.SUMM && cat ZBLAT3.SUMM || exit 0
+else
OPENBLAS_NUM_THREADS=2 ./sblat3 < ./sblat3.dat
@$(GREP) -q FATAL SBLAT3.SUMM && cat SBLAT3.SUMM || exit 0
OPENBLAS_NUM_THREADS=2 ./dblat3 < ./dblat3.dat
@@ -58,6 +86,7 @@ ifdef SMP
OPENBLAS_NUM_THREADS=2 ./zblat3 < ./zblat3.dat
@$(GREP) -q FATAL ZBLAT3.SUMM && cat ZBLAT3.SUMM || exit 0
endif
+endif
FLDFLAGS = $(FFLAGS:-fPIC=)
CEXTRALIB =